Bug 738959 - [abrt] patch-2.6.1-9.fc15: __GI_raise: Process /usr/bin/patch was killed by signal 6 (SIGABRT)
[abrt] patch-2.6.1-9.fc15: __GI_raise: Process /usr/bin/patch was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: patch (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:d5e1df3f78953de4c50de9aefc5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-16 03:18 EDT by Gabriel VLASIU
Modified: 2012-08-07 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
original patch, modified patch, file to be patched (7.38 KB, application/x-bzip2)
2011-09-16 05:43 EDT, Gabriel VLASIU
no flags Details

  None (edit)
Description Gabriel VLASIU 2011-09-16 03:18:04 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        patch --fuzz=0 -p2
component:      patch
crash_function: __GI_raise
executable:     /usr/bin/patch
kernel:         2.6.40.4-5.AES.f15g.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        patch-2.6.1-9.fc15
reason:         Process /usr/bin/patch was killed by signal 6 (SIGABRT)
time:           Fri Sep  9 12:29:54 2011
uid:            500

backtrace:
:[New LWP 3787]
:Core was generated by `patch --fuzz=0 -p2'.
:Program terminated with signal 6, Aborted.
:#0  0x00000034406352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 1 (LWP 3787):
:#0  0x00000034406352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = 3787
:#1  0x0000003440636beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x417b30, sa_sigaction = 0x417b30}, sa_mask = {__val = {224419753594, 29685504, 29680128, 140737254141232, 224418753410, 4291376, 206158430232, 140737254141248, 140737254141024, 7302446, 206158430256, 29719600, 128, 7378714177876008998, 7310589519816783977, 140737254147413}}, sa_flags = 1081448264, sa_restorer = 0x4173fa}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x000000344062dc5e in __assert_fail_base (fmt=<optimized out>, assertion=0x417b30 "p_prefix_context != -1 && p_suffix_context != -1", file=0x4173fa "src/pch.c", line=<optimized out>, function=<optimized out>) at assert.c:96
:        str = 0x1c57c30 ""
:        total = 4096
:#3  0x000000344062dd02 in __GI___assert_fail (assertion=0x417b30 "p_prefix_context != -1 && p_suffix_context != -1", file=0x4173fa "src/pch.c", line=1288, function=0x4178a8 "another_hunk") at assert.c:105
:No locals.
:#4  0x0000000000410464 in another_hunk (difftype=<optimized out>, rev=false) at src/pch.c:1288
:        fillsrc = 3
:        some_context = true
:        ptrn_prefix_context = -1
:        repl_beginning = 2
:        fillcnt = 1
:        filldst = 1
:        ptrn_spaces_eaten = false
:        repl_prefix_context = -1
:        ptrn_copiable = 0
:        line_beginning = <optimized out>
:        repl_missing = <optimized out>
:        repl_patch_line = 39
:        repl_copiable = 2
:        repl_could_be_missing = false
:        ptrn_missing = true
:        repl_backtrack_position = 2092
:        repl_context = 0
:        ptrn_suffix_context = 2
:        s = <optimized out>
:        context = 2
:        chars_read = <optimized out>
:        numbuf0 = "\240\033\305\001\000\000\000\000PQ\231@4\000\000\000\000\000\000\000\000\000"
:        numbuf1 = "\377\377\377\377\000\000\000\000\001\000\000\000\000\000\000\000\001\000\000\000\000\000"
:        numbuf2 = "0\367\304\001\000\000\000\000\316$g@4\000\000\000\060\367\304\001\000\000"
:        numbuf3 = "\001\000\000\000\000\000\000\000Z\000\000\000\000\000\000\000\060\367\304\001\000\000"
:        __PRETTY_FUNCTION__ = "another_hunk"
:#5  0x00000000004029b4 in main (argc=<optimized out>, argv=<optimized out>) at src/patch.c:228
:        got_hunk = <optimized out>
:        apply_anyway = false
:        hunk = 2
:        failed = 0
:        mismatch = true
:        outname = 0x1c4f540 "Makefile.in"
:        val = <optimized out>
:        somefailed = false
:        outstate = {ofp = 0x1c4f730, after_newline = true, zero_output = false}
:        outst = {st_dev = 4294967296, st_ino = 224414175300, st_nlink = 4, st_mode = 0, st_uid = 0, st_gid = 1, __pad0 = 0, st_rdev = 224416368704, st_size = 2090760340, st_blksize = 224414177035, st_blocks = 0, st_atim = {tv_sec = 140733193388052, tv_nsec = 140737254142336}, st_mtim = {tv_sec = 4294967295, tv_nsec = 1}, st_ctim = {tv_sec = 140737254142288, tv_nsec = 140737254383968}, __unused = {140737254142320, 140737254384136, 224414202980}}
:        numbuf = "\000\000\000\000\000\000\000\000\000\253g@4\000\000\000P\326\001\063\064\070"
:        written_to_rejname = false
:        apply_empty_patch = <optimized out>
:        posixly_correct_set = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x0000003442e05980  0x0000003442e159dc  Yes         /lib64/libselinux.so.1
:0x00000034412028a0  0x00000034412120cc  Yes         /lib64/libgcc_s.so.1
:0x000000344061ece0  0x000000344074338c  Yes         /lib64/libc.so.6
:0x0000003440a00de0  0x0000003440a0191c  Yes         /lib64/libdl.so.2
:0x0000003440200b20  0x0000003440218cca  Yes         /lib64/ld-linux-x86-64.so.2
:$1 = 0x7f1429e8d000 ""
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x7f1429e8d000	139724579196928
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0xecb	3787
:rdi            0xecb	3787
:rbp            0x4173fa	0x4173fa
:rsp            0x7ffff20a2c08	0x7ffff20a2c08
:r8             0xfefefefefefefeff	-72340172838076673
:r9             0xfefefefefeff092d	-72340172838074067
:r10            0x8	8
:r11            0x246	582
:r12            0x417b30	4291376
:r13            0x4178a8	4290728
:r14            0x1c4f700	29685504
:r15            0x1c4e200	29680128
:rip            0x34406352d5	0x34406352d5 <__GI_raise+53>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00000034406352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000034406352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000034406352b0 <+16>:	test   %esi,%esi
:   0x00000034406352b2 <+18>:	jne    0x34406352e0 <__GI_raise+64>
:   0x00000034406352b4 <+20>:	mov    $0xba,%eax
:   0x00000034406352b9 <+25>:	syscall 
:   0x00000034406352bb <+27>:	mov    %eax,%esi
:   0x00000034406352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000034406352c5 <+37>:	movslq %edi,%rdx
:   0x00000034406352c8 <+40>:	movslq %esi,%rsi
:   0x00000034406352cb <+43>:	movslq %eax,%rdi
:   0x00000034406352ce <+46>:	mov    $0xea,%eax
:   0x00000034406352d3 <+51>:	syscall 
:=> 0x00000034406352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000034406352db <+59>:	ja     0x34406352ef <__GI_raise+79>
:   0x00000034406352dd <+61>:	repz retq 
:   0x00000034406352df <+63>:	nop
:   0x00000034406352e0 <+64>:	test   %eax,%eax
:   0x00000034406352e2 <+66>:	jg     0x34406352c5 <__GI_raise+37>
:   0x00000034406352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000034406352e9 <+73>:	je     0x3440635300 <__GI_raise+96>
:   0x00000034406352eb <+75>:	neg    %eax
:   0x00000034406352ed <+77>:	jmp    0x34406352c5 <__GI_raise+37>
:   0x00000034406352ef <+79>:	mov    0x35dcb2(%rip),%rdx        # 0x3440992fa8
:   0x00000034406352f6 <+86>:	neg    %eax
:   0x00000034406352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000034406352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000034406352ff <+95>:	retq   
:   0x0000003440635300 <+96>:	mov    %esi,%eax
:   0x0000003440635302 <+98>:	jmp    0x34406352c5 <__GI_raise+37>
:End of assembler dump.

build_ids:
:e5f626726497a81807681ed0088dbce6d6a1f17b
:90fe13fac734263f663981ce4d1691cf926ced25
:32639e5e322652b32021ab21732950791d71143f
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:1d87720659528ad80e8870da2b2bb4af4470cf66
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

comment:
:1. diff -urN old new > test.patch
:2. Edit at least one line like: @@ -l,s +l,s @@
:3. patch -p1 < test.patch
:

dso_list:
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312307322
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312965266
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312965266
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1312965266
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1310021656
:/usr/bin/patch patch-2.6.1-9.fc15.x86_64 (Fedora Project) 1310042055

maps:
:00400000-0041b000 r-xp 00000000 08:02 102245222                          /usr/bin/patch
:0061b000-0061c000 rw-p 0001b000 08:02 102245222                          /usr/bin/patch
:0061c000-0061e000 rw-p 00000000 00:00 0 
:0081b000-0081c000 rw-p 0001b000 08:02 102245222                          /usr/bin/patch
:01c4c000-01c6d000 rw-p 00000000 00:00 0                                  [heap]
:3440200000-344021f000 r-xp 00000000 08:02 67273123                       /lib64/ld-2.14.so
:344041e000-344041f000 r--p 0001e000 08:02 67273123                       /lib64/ld-2.14.so
:344041f000-3440420000 rw-p 0001f000 08:02 67273123                       /lib64/ld-2.14.so
:3440420000-3440421000 rw-p 00000000 00:00 0 
:3440600000-344078f000 r-xp 00000000 08:02 67273124                       /lib64/libc-2.14.so
:344078f000-344098f000 ---p 0018f000 08:02 67273124                       /lib64/libc-2.14.so
:344098f000-3440993000 r--p 0018f000 08:02 67273124                       /lib64/libc-2.14.so
:3440993000-3440994000 rw-p 00193000 08:02 67273124                       /lib64/libc-2.14.so
:3440994000-344099a000 rw-p 00000000 00:00 0 
:3440a00000-3440a02000 r-xp 00000000 08:02 67698006                       /lib64/libdl-2.14.so
:3440a02000-3440c02000 ---p 00002000 08:02 67698006                       /lib64/libdl-2.14.so
:3440c02000-3440c03000 r--p 00002000 08:02 67698006                       /lib64/libdl-2.14.so
:3440c03000-3440c04000 rw-p 00003000 08:02 67698006                       /lib64/libdl-2.14.so
:3441200000-3441215000 r-xp 00000000 08:02 67541319                       /lib64/libgcc_s-4.6.0-20110603.so.1
:3441215000-3441414000 ---p 00015000 08:02 67541319                       /lib64/libgcc_s-4.6.0-20110603.so.1
:3441414000-3441415000 rw-p 00014000 08:02 67541319                       /lib64/libgcc_s-4.6.0-20110603.so.1
:3442e00000-3442e1d000 r-xp 00000000 08:02 68060422                       /lib64/libselinux.so.1
:3442e1d000-344301c000 ---p 0001d000 08:02 68060422                       /lib64/libselinux.so.1
:344301c000-344301d000 r--p 0001c000 08:02 68060422                       /lib64/libselinux.so.1
:344301d000-344301e000 rw-p 0001d000 08:02 68060422                       /lib64/libselinux.so.1
:344301e000-344301f000 rw-p 00000000 00:00 0 
:7f1429e71000-7f1429e75000 rw-p 00000000 00:00 0 
:7f1429e8d000-7f1429e93000 rw-p 00000000 00:00 0 
:7ffff2084000-7ffff20a5000 rw-p 00000000 00:00 0                          [stack]
:7ffff20de000-7ffff20df000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Sep  1 11:56:21 imhotep auditd[1602]: Started dispatcher: /sbin/audispd pid: 1604
:Sep  1 12:00:26 imhotep auditd[1570]: Started dispatcher: /sbin/audispd pid: 1572
:Sep  9 12:29:54 imhotep abrt[3788]: saved core dump of pid 3787 (/usr/bin/patch) to /var/spool/abrt/ccpp-2011-09-09-12:29:54-3787.new/coredump (438272 bytes)
Comment 1 Tim Waugh 2011-09-16 05:05:10 EDT
Please attach the actual test.patch file you edited.
Comment 2 Gabriel VLASIU 2011-09-16 05:42:19 EDT
Well, I don't have that patch any more (the unified format patch). But I have another one - context format. Since it was some time ago, it may be possible that the patch it was not in unified format but context format. Still the problem is there.

$ patch --fuzz=0 -p0 < Makefile.in.orig.diff 
patching file Makefile.in
Hunk #1 FAILED at 400.
1 out of 1 hunk FAILED -- saving rejects to file Makefile.in.rej
$ cp ../Makefile.in.save Makefile.in
$ patch --fuzz=0 -p0 < Makefile.in.diff 
patch: src/pch.c:1288: another_hunk: Assertion `p_prefix_context != -1 && p_suffix_context != -1' failed.
Abort (core dumped)
Comment 3 Gabriel VLASIU 2011-09-16 05:43:59 EDT
Created attachment 523530 [details]
original patch, modified patch, file to be patched
Comment 4 Tim Waugh 2011-09-27 08:09:27 EDT
#0  0x000000348be36435 in __GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000348be37d4b in __GI_abort () at abort.c:91
#2  0x000000348be2ee4e in __assert_fail_base (fmt=<optimized out>, 
    assertion=0x417b30 "p_prefix_context != -1 && p_suffix_context != -1", 
    file=0x4173fa "src/pch.c", line=<optimized out>, function=<optimized out>)
    at assert.c:94
#3  0x000000348be2eef2 in __GI___assert_fail (
    assertion=0x417b30 "p_prefix_context != -1 && p_suffix_context != -1", 
    file=0x4173fa "src/pch.c", line=1288, function=0x4178a8 "another_hunk")
    at assert.c:103
#4  0x0000000000410464 in another_hunk (difftype=<optimized out>, rev=false)
    at src/pch.c:1288
1288		assert (p_prefix_context != -1 && p_suffix_context != -1);
#5  0x0000000000410f1a in intuit_diff_type (need_header=<optimized out>)
    at src/pch.c:561
561		      if (another_hunk (retval, false)
#6  0x0000000000411325 in there_is_another_patch (need_header=false)
    at src/pch.c:230
230	    diff_type = intuit_diff_type (need_header);
#7  0x00000000004028d6 in main (argc=<optimized out>, argv=<optimized out>)
    at src/patch.c:175
175		there_is_another_patch (! (inname || posixly_correct))

(gdb) p p_prefix_context
$3 = -1
(gdb) p p_suffix_context 
$4 = 2
Comment 5 Tim Waugh 2011-09-27 08:15:30 EDT
Reported upstream.
Comment 6 Fedora End Of Life 2012-08-07 15:08:56 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.